#
# spec file for package yast2-installation-control
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           yast2-installation-control
Version:        4.5.0
Release:        150500.1.1
Summary:        YaST2 - RNG schema for installation control files
License:        GPL-2.0-only
Group:          System/YaST
URL:            https://github.com/yast/yast-installation-control
Source0:        %{name}-%{version}.tar.bz2
# smoke test during build
BuildRequires:  libxml2-tools
BuildRequires:  yast2-devtools >= 4.4.0
BuildArch:      noarch

%description
This package contains RNG schema for validating the installation control files.

%prep
%setup -q

%build
%yast_build

%install
%yast_install

%files
%license COPYING
%dir %{yast_controldir}
%{yast_controldir}/*.rng
%{yast_controldir}/*.rnc
%{_rpmmacrodir}/macros.skelcd

%changelog
* Wed Apr  6 2022 lslezak@suse.cz
- Bump version to 4.5.0 (bsc#1198109)
* Tue Feb 15 2022 dimstar@opensuse.org
- Move macros.skelcd from /etc/rpm to /usr/lib/rpm/macros.d
  (boo#1185657).
- 4.4.11
* Fri Jan 28 2022 jreidinger@suse.com
- add boot timeout option (jsc#SLE-22667)
- 4.4.10
* Tue Jan 11 2022 kanderssen@suse.com
  Related to jsc#SLE-22069:
  - LSM section: added "none" section in order to mark it as not
    selectable during the installation.
- 4.4.9
* Tue Jan  4 2022 kanderssen@suse.com
- LSM section: added "selectable" option to the section
  (related to jsc#SLE-22069).
- 4.4.8
* Mon Dec 27 2021 kanderssen@suse.com
- Added "lsm" section for selecting and configuring the desired
  Linux Security Module (jsc#SLE-22069)
- 4.4.7
* Fri Dec 10 2021 lslezak@suse.cz
- Added "self_update_version" definition (bsc#1193536)
- 4.4.6
* Thu Dec  9 2021 jlopez@suse.com
- Partitioning section: add mount_options for volumes (related to
  fate#318196).
- 4.4.5
* Fri Nov  5 2021 ancor@suse.com
- Partitioning section: dropped support for the legacy format of
  the proposal settings (related to fate#318196).
- 4.4.4
* Mon Sep  6 2021 kanderssen@suse.com
- Fix default ntp servers definition allowing zero or multiple
  server entries (bsc#1180699).
- 4.4.3
* Mon May 31 2021 kanderssen@suse.com
- Allow to modify IPv4 and IPv6 forwarding defaults (bsc#1186280)
- 4.4.2
* Tue Apr 20 2021 dmueller@suse.com
- stop packaging docdir, it only contained the license which
  is now in licensedir (bsc#1184897)
- spec file cleanups
- 4.4.1
* Tue Apr 20 2021 lslezak@suse.cz
- 4.4.0
* Thu Feb 18 2021 dgonzalez@suse.com
- Add SELinux options (jsc#SMO-20, jsc#SLE-17342).
- 4.3.9
* Mon Jan 11 2021 jreidinger@suse.com
- Add option to control file to specify default ntp servers
  (bsc#1180699)
- 4.3.8
* Wed Nov 11 2020 jreidinger@suse.com
- Add option to control file to specify if propose hibernation
  (jsc#SLE-12280)
- 4.3.7
* Wed Oct  7 2020 schubi@suse.de
- Upgrade openSUSE->Jump. Allow vendor change without asking
  the user. Added "product_upgrades" tag in software/upgrade.
  (jsc#SLE-14807)
- 4.3.6
* Wed Oct  7 2020 schubi@localhost
- Making compatible_vendors optional (jsc#SLE-14807).
- 4.3.5
* Fri Oct  2 2020 schubi@suse.de
- Upgrade openSUSE->SUSE LLC. Allow vendor change without asking
  the user. Tag "compatible_vendors" in software/upgrade.
  (jsc#SLE-14807)
- 4.3.4
* Wed Jul 22 2020 jlopez@suse.com
- Add options to configure the installation layout.
- Related to jsc#PM-1998.
- 4.3.3
* Tue May 26 2020 martin@frogs
- Work around Relax-NG parser error: "Found anyName attribute
  without oneOrMore ancestor" (bsc#1172131)
- 4.3.2
* Mon May 11 2020 snwint@suse.com
- remove obsolete proposal_settings_editable (bsc#1171423)
- 4.3.1
* Thu May  7 2020 jreidinger@suse.com
- Control file schema improvements (bsc#1170886)
-- Allow optional types for string and map objects
-- Allow type specification without namespace
-- Add type specification with 't' shortcut
- 4.3.0
* Mon Feb 24 2020 lslezak@suse.cz
- Allow specifying the default preselected modules in the offline
  installation (jsc#SLE-8040, jsc#SLE-11455)
- 4.2.9
* Wed Oct  2 2019 jreidinger@suse.com
- Add "precise_time" for products that depends on precise time.
  It is work-around for bsc#1145193
- 4.2.8
* Mon Sep 23 2019 lslezak@suse.cz
- Use "display_name" tag for the product label, "label" marks a
  translatable text (jsc#SLE-7214)
- 4.2.7
* Fri Sep 20 2019 lslezak@suse.cz
- Allow specifying the base products for the online installation
  medium (jsc#SLE-7214)
- 4.2.6
* Tue Aug 27 2019 schubi@suse.de
- Adapting Dockerfile to yast-ruby container.
* Mon Aug 19 2019 dgonzalez@suse.com
- Add the multidisk_first option to the partitioning proposal
  section (related to jsc#SLE-7238).
- 4.2.5
* Mon Jul 15 2019 dgonzalez@suse.com
- Add the separate_vgs and separate_vg_name elements
  (part of jsc#SLE-7238).
- 4.2.4
* Fri Jul 12 2019 dgonzalez@suse.com
- Add the delete_resize_configurable and allocate_volume_mode
  elements to the partitioning section (part of jsc#SLE-7238).
- 4.2.3
* Thu Apr 25 2019 jreidinger@suse.com
- fix cpu_mitigations to allow selection(bsc#1098559)
- add option to set default cpu mitigations per product
  (bsc#1098559)
- 4.2.2
* Thu Apr 25 2019 lslezak@suse.cz
- Added a simple test to check that the validation works
  (the schema definition is valid) (related to bsc#1098559)
- 4.2.1
* Tue Mar 19 2019 dgonzalez@suse.com
- Add the "select_product" parameter to the software section,
  which allows to indicate the product that should be selected
  (bsc#1124590).
- 4.2.0
* Mon Mar 18 2019 dgonzalez@suse.com
- Add the readonly_language global parameter (bsc#1121256).
- 4.1.7
* Thu Jan  3 2019 jreidinger@suse.com
- Drop system scenarios which were replaced by system roles
* Mon Dec 17 2018 igonzalezsosa@suse.com
- Add a configuration_management section (fate#322722).
- 4.1.6
* Fri Dec 14 2018 dgonzalez@suse.com
- Add macros related to skelcd (fate#325482)
- 4.1.5
* Wed Nov 21 2018 shundhammer@suse.com
- Added global parameter enable_local_users (Fate#326447)
- 4.1.4
* Mon Nov 19 2018 mfilka@suse.com
- fate#325541
  - added flag disable_media_repo controlling cd / dvd repository
    disablement when installation is over
- 4.1.3
* Wed Oct 17 2018 schubi@suse.de
- Added flag save_y2logs to control.xml file in order to save
  YaST logs at the end of installation (fate#325737)
- 4.1.2
* Tue Oct 16 2018 schubi@suse.de
- Added license file to spec.
* Fri Oct 12 2018 schubi@suse.de
- Added tags full_system_media_name and full_system_download_url
  in control.xml which describe the location for the
  "all-packages" medium. This information will be shown if the
  registration has been scipped by the user. No hint will be shown
  if these tags have not been defined. (fate#325834)
- 4.1.1
* Wed Aug 22 2018 hellcp@opensuse.org
- Add a way to switch to installation ui (boo#1088785)
- 4.1.0
* Mon Aug 20 2018 schubi@suse.de
- Switched license in spec file from SPDX2 to SPDX3 format.
* Mon Mar 12 2018 igonzalezsosa@suse.com
- Add support for a new btrfs_read_only element in volumes
  specifications (related to bsc#1079000).
- 4.0.10
* Thu Jan 25 2018 jsrain@suse.cz
- schema clean-up, only one mode of selecting packages for upgrade
  (bsc#1071708)
- 4.0.9
* Wed Dec 13 2017 jreidinger@suse.com
- drop copy_to_system element (FATE#320873)
- 4.0.8
* Wed Oct 25 2017 snwint@suse.de
- fix typo in control.rnc
- release 4.0.7
* Tue Oct 17 2017 snwint@suse.com
- add fallback_for_desired_size to ng partitioning (fate#318196)
- 4.0.6
* Tue Oct 17 2017 snwint@suse.com
- adjust control.rnc for storage-ng (fate#318196)
- 4.0.5
* Mon Oct 16 2017 jreidinger@suse.com
- extend system role capabilities to redefine also globals,
  network, proposals and modules to clone (bsc#1063216)
- 4.0.4
* Wed Oct 11 2017 snwint@suse.com
- add snapshots_percentage element and make it mutually exclusive
  with snapshots_size
- 4.0.3
* Tue Oct 10 2017 snwint@suse.com
- update control.xml specification to include the new storage-ng
  partitioning data
- do no longer allow more than one partitioning element
- 4.0.2
* Tue Oct 10 2017 jreidinger@suse.com
- add "self_update_id" to allow defining an ID for self update SCC
  query (bsc#1055556)
- 4.0.1
* Wed Sep 20 2017 jreidinger@suse.com
- Add order element to system roles to allow easier inserting of
  roles from add ons (bsc#1049297)
- 4.0.0
* Tue Aug 22 2017 shundhammer@suse.de
- Merged SLE-12-SP3-CASP branch to master
- 3.3.0
* Thu Aug 17 2017 shundhammer@suse.de
- Make filesystem type for home and root configurable in control.xml
  (bsc#1051762)
* Mon Jun 26 2017 shundhammer@suse.de
- Allow different mount point for home partition (Fate#323532)
- 3.2.6
* Mon Mar 13 2017 igonzalezsosa@suse.com
- Fix system roles specification in the update section
  (related to FATE#320772)
- no_default element in system roles definition is not mandatory
  (bsc#1029171)
- 3.2.5
* Mon Mar 13 2017 igonzalezsosa@suse.com
- Support to add roles through addons (FATE#320772)
- 3.2.4
* Mon Feb 13 2017 jreidinger@suse.com
- add option to have roles with no default (poo#14936)
- 3.2.3
* Mon Jan 16 2017 mfilka@suse.com
- fate#321739
  - proposal's read_only node can be "hard" or "soft" to enable
    editing in case of failure.
- 3.2.2
* Fri Jan 13 2017 igonzalezsosa@suse.com
- Added new option to configure libzypp in a minimalistic way
  (only required packages, no documentation and no multiversion)
  (FATE#321764)
* Fri Jan 13 2017 jreidinger@suse.com
- fix typo in last change breaking build of skelcd (bsc#1019659)
* Thu Jan 12 2017 jreidinger@suse.com
- Added new option for roles to specify additional enabled services
  (FATE#321754)
* Wed Dec 14 2016 shundhammer@suse.de
- Added new parameter for CASP read-only Btrfs root subvolume
  (Fate#321755)
* Fri Dec  9 2016 schubi@suse.de
- Added new options:
  - - readonly_timezone : Timezone cannot be changed by the user.
    (Fate#321754)
  - - clone_install_recommended_default : Default value in cloned
    AutoYaST configuration files. (Fate#321764)
* Wed Dec  7 2016 jreidinger@suse.com
- Added new option for roles to specify its own additional dialogs
  (FATE#321754)
* Thu Nov 17 2016 shundhammer@suse.de
- Added new storage-related parameters for CASP workflow:
  proposal_settings_editable and expert_partitioner_warning
  (Fate#321736)
- 3.2.1
* Mon Oct 31 2016 lslezak@suse.cz
- Added support for read-only proposal modules (fate#321739)
- 3.2.0
* Thu Oct 27 2016 shundhammer@suse.de
- Make subvolumes configurable in control.xml (fate#321737)
- 3.1.13.1
* Mon Mar 14 2016 igonzalezsosa@suse.com
- Added self_update_url (FATE#319716)
- 3.1.13
* Tue Mar  1 2016 mvidner@suse.com
- Added system_roles section (FATE#317481).
- 3.1.12
* Wed Oct  1 2014 ancor@suse.com
- Added globals->dhclient_set_hostname (bnc#870896)
- 3.1.11
* Thu Aug 28 2014 locilka@suse.com
- Element 'packages' in 'one_supported_desktop' has been made
  optional as it's not required by the handling code (bnc#864298)
- 3.1.10
* Tue Jun 24 2014 jreidinger@suse.com
- add elemenent to set default for os_probing per product
  (bnc#884007)
- 3.1.9
* Fri May 16 2014 locilka@suse.com
- Added software->optional_default_patterns - optional patterns
  selected for installation by default that do not cause reporting
  an error if they are missing (bnc#876760)
- 3.1.8
* Thu May 15 2014 locilka@suse.com
- Added software->upgrade->window_managers to handle upgrading
  the system based on the default windowmanager (bnc#874116)
- 3.1.7
* Fri Apr 18 2014 locilka@suse.com
- Added software->default_patterns - patterns selected for
  installation by default (bnc#873923)
- 3.1.6
* Wed Apr  2 2014 jreidinger@suse.com
- add element for separate ssh service enablement (bnc#865056)
- 3.1.5
* Tue Jan  7 2014 lslezak@suse.cz
- move the control files to separate packages
  (yast2-installation-control-openSUSE* and
  yast2-installation-control-SLE*)
- 3.1.4
* Mon Dec 16 2013 lslezak@suse.cz
- added libxslt-tools (providing xsltproc) to BuildRequires
- 3.1.3
* Mon Dec 16 2013 aschnell@suse.de
- added partitioning/btrfs_default_subvolume to allow same code
  for openSUSE and SLES
- 3.1.2
* Mon Dec 16 2013 lslezak@suse.cz
- generate openSUSE-promo and SLES-for-VMware control files from
  the respective base files to remove the duplication
- 3.1.1
* Thu Dec 12 2013 lslezak@suse.cz
- initial version
- 3.1.0
